//+------------------------------------------------------------------+
//|                                             RD_TradePanel_v2.mq4 |
//|                                                    Rod Greenwood |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Rod Greenwood"
#property link      "  "
#property version   "2.00"
#property strict

#include <Controls/Dialog.mqh>
#include <Controls/SpinEdit.mqh>
#include <Controls/Edit.mqh>

CAppDialog cpInterface;
CSpinEdit cpSpinTP,cpSpinSL,cpSpinLS;
CEdit cpEditTP,cpEditLS,cpEditSL;

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
ControlPanel();   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
cpInterface.Destroy(reason);  
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
 cpInterface.OnEvent(id,lparam,dparam,sparam);  
  }
//+------------------------------------------------------------------+
void ControlPanel()
{
cpInterface.Create(0,_Symbol+" "+string(Period())+" Min",0,10,20,220,95);
//---
cpSpinTP.Create(0,"cpSpinTP",0,5,5,65,25);
cpSpinTP.MinValue(1);
cpSpinTP.MaxValue(100);
cpSpinTP.Value(50);
cpInterface.Add(cpSpinTP);
//---
cpSpinLS.Create(0,"cpSpinLS",0,70,5,133,25);
cpSpinLS.MinValue(1);
cpSpinLS.MaxValue(100);
cpSpinLS.Value(50);
cpInterface.Add(cpSpinLS);
//---
cpSpinSL.Create(0,"cpSpinSL",0,138,5,197,25);
cpSpinSL.MinValue(1);
cpSpinSL.MaxValue(100);
cpSpinSL.Value(50);
cpInterface.Add(cpSpinSL);
//---
cpEditTP.Create(0,"cpEditTP",0,5,25,65,40);
cpEditTP.Text("TP");
cpEditTP.Color(clrGreen);
cpEditTP.ColorBackground(clrWhite);
cpEditTP.ColorBorder(clrLightGray);
cpEditTP.TextAlign(ALIGN_CENTER);
cpEditTP.ReadOnly(true);
cpInterface.Add(cpEditTP);
//---
cpEditLS.Create(0,"cpEditLS",0,70,25,133,40);
cpEditLS.Text("LS");
cpEditLS.Color(clrBlue);
cpEditLS.ColorBackground(clrWhite);
cpEditLS.ColorBorder(clrLightGray);
cpEditLS.TextAlign(ALIGN_CENTER);
cpEditLS.ReadOnly(true);
cpInterface.Add(cpEditLS);
//---
cpEditSL.Create(0,"cpEditSL",0,138,25,197,40);
cpEditSL.Text("SL");
cpEditSL.Color(clrRed);
cpEditSL.ColorBackground(clrWhite);
cpEditSL.ColorBorder(clrLightGray);
cpEditSL.TextAlign(ALIGN_CENTER);
cpEditSL.ReadOnly(true);
cpInterface.Add(cpEditSL);

cpInterface.Run();

}

